你尚未登录

亲爱的游客, 欢迎访问 Eve of Destruction. 如果你是第一次访问, 你可以阅读论坛的 帮助 信息. 帮助信息详细阐述了论坛的功能. 如果你想要使用论坛的更多功能, 你需要 注册 为论坛的会员. 参阅帮助信息中的 更多注册信息 来获取注册帮助. 如果你已经注册, 你可以 登录 论坛.

1

Thursday, February 28th 2013, 7:08pm

Mac Help Please

First I would like to thank Lotte and his team on the great mod. I would also like to wish you the best Lotte on your future game developments, the project looks exciting.


I have been enjoying the "EOD" mod for years on my Mac and has ran flawlessly up to version 2.3. Version 2.4 and 2.5 crashed when I tried to load the mod, so we just kept playing 2.3. Out of curiosity I started moving some files around to see if I could figure out what was causing the crash. I found if I replace the 2.5 object.RFA file with the 2.3 object.RFA file the mod would load without crashing. The second problem I have is on some of the maps I get an error message: for example on "Abandoned Field" message saids "failed to spawn players", "Aftermath" message saids "Unable to load Navy seal kit". Once again I replaced these maps with the maps from the 2.3 version and they worked.


My question is, does anyone know why I am having issues with the 2.5 version on my Mac and a fix for it? Also does anyone know of a debug software for Battlefield 1942 on the Mac?


Thanks to everyone and all suggestions are welcome.

2

Saturday, March 2nd 2013, 12:16am

You can try the BF1942_debug.exe (in windowed mode!) but this will not work if you mix the versions cause you'll get thousands of errors.
You talk about 2.5, did you try 2,51 ?

I really have no idea why the Mac won't load 2.5x cause it was all debugged like the versions before.
Unfortunately I hvae no time to make a last patch cause I'm working 12 hours a day on 3.0 and I'm sure it's worth it!